/* ================================================= */
/*                    BAR.H                          */
/*         (C) 1991 Georg Pohl & DMV-Verlag          */
/* ------------------------------------------------- */
/* Headerfile fr alle mit bar.c oder bars.c zuge-   */
/* linkten Routinen.                                 */
/* ================================================= */

#define DO       (1)
#define DONOT    (0)
#define UNKNOWN  (0L)
#define NOTEXT   '\0'

typedef void BAR;

extern int  wx,
            wy,
            wwide,
            whight,
            wcolor,
            bcolor,
            shadow;
extern long time_diff;

BAR * init(const char *, const char *,
           const char *, const long, short);
void  show_bar(BAR *, long );
BAR * done(BAR *);
int   copyfile(char *, char *);

/* ============================================ */
