(* ------------------------------------------------- *)
(*                      UMTEST.PAS                   *)
(*  demonstriert die Mglichkeiten der Unit HRDOSUM  *)
(* ------------------------------------------------- *)
PROGRAM UmTest;
(*$M 4024,0,0,I-,R-,S-,N-,V-,D+,B- *)

USES Crt, HRDOSUM;

CONST
  Code = '~EIN' + #8#8#8#8#32#32#32#32#8#8#8#8;
  LfCr = #10#13;

VAR
  Nr        : WORD;
  C         : CHAR;
  Test, S   : STRING;
  Ein, I, O : BOOLEAN;
  X, Y      : BYTE;

BEGIN
  I := DosInPutRedirected;
  O := DosOutputRedirected;

  TextAttr := LightGray ;
  ClrScr;
  WriteLn(' --- Umleitungstest --- ');
  GotoXY(1,25);

  IF O THEN
    Write('   Test mit  <ESC> beenden')
  ELSE IF I THEN
    Write('   Inputumleitung : Test endet automatisch')
  ELSE
    Write('   Bitte mit HRUM < [Datei]   Oder   ',
          'HRUM > [Datei]    testen');

  TextAttr := TextAttr XOR 59;

  Window(1,3,80,24);
  ClrScr;

  IF O OR I THEN BEGIN
    IF O THEN BEGIN
      WriteLn('     SCREEN-Protokollierung :',LfCr);
      WriteLn('     (A)lle Bildschirmausgaben');
      WriteLn(' Nur (E)ingaben     ',LfCr,'     ???');
      WriteLn(LfCr,'Bitte whlen Sie einen umrandeten ',
              'Buchstaben');
      REPEAT
        C := UpCase(ReadKey);
      UNTIL C IN ['A','E'];
      ClrScr;

      IF C = 'A' THEN
        ChangeInOutModus(AllScreenRedirection)
      ELSE BEGIN
        ChangeInOutModus(AllScreenRedirection);
        WriteLn(Code);
          { Damit das Programm bei Inputumleitung
            den Typ erkennt }
        ChangeInOutModus(NoRedirection);
        ChangeInOutModus(ProtRedirection);
      END;
    END ELSE BEGIN
      ChangeInOutModus(InputRedirection);
      SetInputDelay(0);
      X := WhereX;
      Y := WhereY;
      ReadLn(S);

      SetInputDelay(300);

      IF S = Code THEN BEGIN
        Ein := TRUE;
        GotoXY(X,Y);
        ClrEol;
      END ELSE BEGIN
        Ein := FALSE;
        ReadLn(S);
        C := ReadKey;
      END;
    END;

    C  := ' ';
    Nr := 1;

    WHILE (C <> #27)  DO BEGIN
      IF (O OR (I AND Ein)) THEN BEGIN
        WriteLn('Aus/Eingabe-Umleitungs-Test Nr .: ',
                Nr);
        Inc(Nr);
        Write('Kommentar : ');
        ReadLn(S);
      END ELSE BEGIN
        ReadLn(S);
        ReadLn(S);
      END;
      C := ReadKey;
    END;
  END;
END.
(* ------------------------------------------------- *)
(*              Ende von UMTEST.PAS                  *)
