/* ------------------------------------------------- */
/*                   FFH-LIB.H                       */
/* Header-File fr FFH-LIB. Mu eingebunden werden,  */
/* wenn die Hilfedateien benutzt werden sollen;      */
/* zustzlich FFH-LIB.C hinzulinken.                 */
/* ------------------------------------------------- */

void initFFHlib (void);
  /* initialisiert die Bibliothek */

void exitFFHlib (void);
  /* Exit-Prozedur der Bibliothek;
     wird von initFFHlib installiert */

int inithelp (char *fname);
  /* ermglicht die Verwendung der Hilfedatei fname;
     liefert einen Integer als Handle zurck
     (kein Dateihandle) */

int exithelp (int handle);
  /* suspendiert die Hilfe mit dem angeg. Handle */

int showhelp (int handle, char *keyword);
  /* zeigt auf dem Bildschirm ein Hilfefenster zum
     Wort keyword aus dem durch Handle
     bezeichneten Bereich */

int getkey (void);
  /* liefert gedrckte Taste; erw. Codes negativ */

extern int (*cmpstr) (const char *s1, const char *s2);
  /* globale Funktionsvariable;
     standardmig auf stricmp */

extern int tabsize;
  /* Tabulatorgre; globale Variable */
/* ------------------------------------------------- */
/*            Ende von  FFH-LIB.H                    */

