(* ------------------------------------------------- *)
(*                  INTTOBIN.PAS                     *)
(*        (c) 1991 Timo Becker & DMV-Verlag          *)
(*  Funktion: Umwandeln von Integer nach Binrstring *)
(*  Sprache:  Turbo Pascal ab 4.0                    *)
(* ------------------------------------------------- *)
PROGRAM Decimal_to_binary;

USES Crt;

TYPE
  Str32 = STRING[32];

VAR
  Y : LongInt;

  FUNCTION InttoBin(X : LongInt) : Str32;
  CONST
    BinLen = 32; { Bits in LongInt }
  VAR
    Erg : Str32;
    i   : BYTE ABSOLUTE Erg;
  BEGIN
    FOR i := BinLen DOWNTO 1 DO BEGIN
      IF Odd(X) THEN Erg[i] := '1'
                ELSE Erg[i] := '0';
      x := x SHR 1;
    END;
    Erg[0]   := Chr(BinLen);
    InttoBin := Erg;
  END;

BEGIN
  ClrScr;
  REPEAT
    Write('Zahl (LongInt) ?: ');
    Readln(Y);
    Writeln(Y:11, ' = ', InttoBin(Y))
  UNTIL FALSE;
END.
(* ------------------------------------------------- *)
(*                Ende von INTTOBIN.PAS              *)

