/* ------------------------------------------------- */
/*                     STARTUP.C                     */
/*   Ersatz fr WINSTUB.EXE bei Microsoft C + SDK    */
/* Ermglicht Start von Windowsprogrammen unter DOS  */
/*     Achtung: Programm nicht allein ausfhren!     */
/*          (C) 1992 Kay Glahn & DMV-Verlag          */
/* ------------------------------------------------- */

#include<process.h>
#include<stdio.h>
#include<malloc.h>

void main(int argc, char *argv[])
{
  char **param;
  int i;

  puts("Microsoft Windows wird geladen...");

  /* Speicherplatz fr Kopie der Commandozeile
     reservieren */
  if((param = malloc((argc+2) * sizeof(char*)))!=NULL)
  {
    /* Ersten Parameter mit "win" belegen */
    param[0] = "win";

    /* Den Rest aus der Commandozeile kopieren */
    for(i=0;i<=argc;i++)
      param[i+1] = argv[i];

    /* Windows mit entsprechenden Parametern
       aufrufen */
    execvp("win", param );

    /* Falls Windows nicht gestartet werden konnte,
       Speicher selber wieder frei geben */
    free(param);
  }

  /* Wenn Fehler aufgetreten, Meldung ausgeben */
  puts("Ladevorgang abgebrochen !\n");
  puts("Versuchen Sie, da Programm unter Windows"
  " erneut zu starten !");
}

/* ------------------------------------------------- */
/*                 Ende von STARTUP.C                */
