/* ------------------------------------------------- */
/*                   M_SPOOLE.C                      */
/*             (c) 1991, 1992 DMV-Verlag             */
/*    Compiler: Turbo C++                            */
/*    EINGABE: Filename                              */
/*    AUSGABE: Status der Operation                  */
/*     00h  kein Fehler                              */
/*     01h  Funktionsaufruf falsch                   */
/*     02h  Datei nicht gefunden                     */
/*     03h  Pfad nicht gefunden                      */
/*     04h  zu viele offene Dateien                  */
/*     05h  Zugriff verweigert                       */
/*     08h  Ausgabeliste voll                        */
/*     09h  Treiber belegt                           */
/*     12h  Dateiname zu lang                        */
/*     15h  kein Fehler oder falsches Laufwerk       */
/*    Funktion: Routine trgt File in die aktuelle   */
/*    Druck-Liste des Printerspoolers ein.           */
/* ------------------------------------------------- */

#include <stdio.h>
#include <conio.h>
#include <string.h>

int m_print(char *Fname)
{
static struct Liste
{
 char Prior;
 int  F_Offset;
 int  F_Segment;
 char Filename[12];
 } Tabelle;

 strcat(Fname, NULL);
 strcpy(Tabelle.Filename, Fname);

 asm mov Tabelle.Prior, 0;
 asm lea dx, Tabelle;
 asm lea di, Tabelle.Filename;
 asm mov Tabelle.F_Offset, di;
 asm mov Tabelle.F_Segment, DS;
 asm mov ax, 0101h
 asm int 2fh
 return(_AL);
}

/* ------------------------------------------------- */
*    EINGABE: Keine                                  *
*    AUSGABE: Installationsstatus Druckerspooler     *
*    Funktion: Routine ermittelt den Status des      *
*    Spoolers und gibt folgende Werte zurck:        *
*     FFh  installiert                               *
*     01h  nicht installiert, Installation unmglich *
*     00h  nicht installiert, Installation mglich   *
/* ------------------------------------------------- */
int m_installed (void)
{
 asm mov ax, 0100h               /* Funktionsnummer  */
 asm int 2fh
 return(_AL);
}
/* ------------------------------------------------- */
/*               Ende von M_SPOOLE.C                 */
