;* -------------------------------------------------- *
;*                   DRIVER.ASM                       *
;*        (c) 1991 Elmar Warken & DMV-Verlag          *
;*           Assembler: Turbo Assembler 2.0           *
;* -------------------------------------------------- *

IFNDEF  ??version
  ?debug  MACRO
          ENDM

  $comm   MACRO   name,dist,size,count
          comm    dist name:BYTE:count*size
          ENDM
ELSE
  $comm   MACRO   name,dist,size,count
          comm    dist name[size]:BYTE:count
          ENDM
ENDIF

?debug    S     "DRIVER.H"
?debug    C     E9B0908517084452495645522E48

DRIVER_TEXT     SEGMENT BYTE PUBLIC 'CODE'
DRIVER_TEXT     ENDS

DGROUP  GROUP   _DATA,_BSS
        ASSUME  CS:DRIVER_TEXT,DS:DGROUP

_DATA   SEGMENT WORD PUBLIC 'DATA'
d@      LABEL   BYTE
d@w     LABEL   WORD
_DATA   ENDS

_BSS    SEGMENT WORD PUBLIC 'BSS'
b@      LABEL   BYTE
b@w     LABEL   WORD
_BSS    ENDS

DRIVER_TEXT     SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:DRIVER_TEXT

@M$QV   PROC    FAR
        PUSH    BP
        MOV     BP, SP
        DD      52515350H, 1E065657H
        DW      1F0EH
        CALL    FAR PTR @GO$QV
        LES     BX, DWORD PTR DGROUP:P
        MOV     WORD PTR ES:[BX+3], 256
        LES     BX, DWORD PTR DGROUP:P
        MOV     WORD PTR ES:[BX+14], 0
        LES     BX, DWORD PTR DGROUP:P
        MOV     WORD PTR ES:[BX+16], CS
        DD      5F5E071FH, 585B595AH
        POP     BP
        RET     
@M$QV   ENDP

?debug  C       E9

DRIVER_TEXT     ENDS

_DATA   SEGMENT WORD PUBLIC 'DATA'
S@      LABEL   BYTE
_DATA   ENDS

DRIVER_TEXT     SEGMENT BYTE PUBLIC 'CODE'
DRIVER_TEXT     ENDS

        PUBLIC  @M$QV
        EXTRN   @GO$QV:FAR
        EXTRN   P:DWORD
END

;* -------------------------------------------------- *
;*                 Ende von DRIVER.ASM                *
