(* ------------------------------------------------- *)
(*                    ASGNTEST.PAS                   *)
(*   Funktion: Testprogramm zur Demonstration von    *)
(*             Assign.                             *)
(*   Sprache : Turbo Pascal ab 4.0                   *)
(* ------------------------------------------------- *)
(*        (c) 1991 Gerd Freese & DMV-Verlag          *)
(* ------------------------------------------------- *)

{$A+,B-,D-,E-,I-,L-,N-,R-,S-,V-}

PROGRAM AssignTest;

USES Crt;

VAR
  f          : File;
  i, IOError : INTEGER;
  FileNummer : STRING;

{
  PROCEDURE Assign(VAR f; Name : STRING);
  VAR
    d : File ABSOLUTE f;
  BEGIN
    Reset(d);
    IF IOResult = 0 THEN Close(d);
    System.Assign(d, Name);
  END;
}

BEGIN
  ClrScr;
  WriteLn('Test der ASSIGN-Prozedur');  WriteLn;
  FOR i := 1 TO 80 DO BEGIN
    Str(i, FileNummer);
    Assign(f, 'TEST' + FileNummer + '.TMP');
    ReWrite(f);
    IOError := IOResult;
    IF IOError <> 0 THEN BEGIN
      WriteLn;  WriteLn;
      WriteLn('Maximale Anzahl von Dateizuordnungen ',
              'erreicht!  IOResult = ', IOError);
      Halt;
    END;
    Write(i:2, '. Datei geffnet  ');
  END;
END.
(* ------------------------------------------------- *)
(*              Ende von ASGNTEST.PAS                *)

