(* ------------------------------------------------- *)
(*                    MATHE.PAS                      *)
(*        (c) 1991 Dirk Groneberg & DMV-Verlag       *)
(* ------------------------------------------------- *)
PROGRAM Mathe;

  FUNCTION Pot(b, e : REAL) : REAL;
  BEGIN
    IF (e = 0) AND (b <> 0) THEN
      Pot := 1
    ELSE IF (b = 0) AND (e <> 0) THEN
      Pot := 0
    ELSE IF (b < 0) AND (Odd(Trunc(e)) = TRUE) AND
            (e = Int(e)) THEN
      Pot := -(Exp(Ln(Abs(b))/(1/e)))
    ELSE IF (b < 0) AND (Odd(Trunc(e)) = FALSE) AND
            (e = int(e)) THEN
      Pot := Exp(Ln(Abs(b))/(1/e))
    ELSE
      Pot := Exp(Ln(b)/(1/e))
  END;

  FUNCTION Wurzel(e, r : REAL) : REAL;
  BEGIN
    IF (r < 0) AND (e <> 0) AND (e = Int(e)) AND
       (Odd(Trunc(e)) = TRUE) THEN
      Wurzel := -(Exp(Ln(Abs(r))/e))
    ELSE IF (r = 0) AND (e <> 0) THEN
      Wurzel := 0
    ELSE IF e = 1 THEN
      Wurzel := r
    ELSE
      Wurzel := Exp(Ln(r)/e);
  END;

BEGIN
  Write  (' 2.5 hoch -4.8        = ');
  WriteLn(Pot(2.5,-4.8):2:2);
  Write  ('-3.5te Wurzel aus 1.5 = ');
  Writeln(Wurzel(-3.5,1.5):2:2);
END.
(* ------------------------------------------------- *)
(*              Ende von MATHE.PAS                   *)
